Package com.logicaldoc.core.communication.oauth

# Class Microsoft365TokenProvider

java.lang.Object
com.logicaldoc.core.communication.oauth.Microsoft365TokenProvider

All Implemented Interfaces:
  `TokenProvider`

public class Microsoft365TokenProvider extends Object implements TokenProvider
A TokenProvider used to access the Exchange Online (Microsoft 365)

Since:
  8.9.3
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`Microsoft365TokenProvider()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAccessToken(String clientSecret, String clientId, String clientTenant)`
Retrieves the access token for a given email account

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Microsoft365TokenProvider

public Microsoft365TokenProvider()

## Method Details

### getAccessToken

public String getAccessToken(String clientSecret, String clientId, String clientTenant) throws IOException
Description copied from interface: `TokenProvider`
Retrieves the access token for a given email account

Specified by:
  `getAccessToken` in interface `TokenProvider`
Parameters:
  `clientSecret` - the client Secret
  `clientId` - the client ID
  `clientTenant` - the client Tenant
Returns:
  The access token
Throws:
  `IOException` - Error retrieving the token